import { Routes } from '@angular/router';

export const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.routes').then((m) => m.routes),
  },
   // 向量：文本特征向量
   {
      path: "text/embed",
      loadComponent: () => import('../modules/text/page-text-embed/page-text-embed.component').then(m => m.PageTextEmbedComponent),
   },
  // 知识库：杭州市人才政策知识库
  {
      path: "story/hangzhou",
      loadComponent: () => import('../modules/story/page-hangzhou/page-hangzhou.component').then(m => m.PageHangzhouComponent),
      runGuardsAndResolvers: "always",
  },
  // 向量：面部特征向量
  {
      path: "face/feat68",
      loadComponent: () => import('../modules/face/page-feat68/page-feat68.component').then(m => m.PageFeat68Component),
      runGuardsAndResolvers: "always",
  },
   // 聊天模块
   {
      path: "chat/session/role/:roleId",
      loadComponent: () => import('./test-chat-panel/test-chat-panel.component').then(m => m.TestChatPanelComponent),
      runGuardsAndResolvers: "always",
  },
  {
      path: "chat/session/chat/:chatId",
      loadComponent: () => import('./test-chat-panel/test-chat-panel.component').then(m => m.TestChatPanelComponent),
      runGuardsAndResolvers: "always",
  },
  {
      path: 'chat/pro/chat/:chatId',
      redirectTo: '/chat/session/chat/:chatId',
      pathMatch: 'full'
    },
    // 流程任务模块
    {
        path: "flow/editor/new",
        loadComponent: () => import('../modules/flow/comp-flow-editor/comp-flow-editor.component').then(m => m.CompFlowEditorComponent),
        runGuardsAndResolvers: "always",
    },
    {
      path: "flow/test",
      loadComponent: () => import('../modules/flow/page-flow-test/page-flow-test.component').then(m => m.PageFlowTestComponent),
      runGuardsAndResolvers: "always",
  },
    // 测试任务模块
    {
      path: "task/test",
      loadComponent: () => import('../modules/task/page-test-completion/page-test-completion.component').then(m => m.PageTestCompletionComponent),
      runGuardsAndResolvers: "always",
  }
];
