import { TaskUserForm } from "../../lib/tasks/task-user-form/task-user-form";
export class UserBasicInfoTask extends TaskUserForm {
    constructor(modalCtrl: any, initialData: any = {}) {
        super({
            title: '基本信息',
            modalCtrl: modalCtrl,
            initialData: initialData,
            fieldList: [
                { type: "String", key: "name", name: "姓名", required: true },
                { type: "String", key: "mobile", name: "手机", required: true, validator: 'mobile' },
                {
                    type: "Radio", key: "gender", name: "性别", required: true, options: [
                        { label: "男", value: "male" },
                        { label: "女", value: "female" },
                        { label: "其他", value: "other" }
                    ]
                },
                { type: "Number", key: "age", name: "年龄", required: false },
                { type: "String", key: "email", name: "邮箱", required: false, validator: 'email' }
            ]
        });
    }
}


export class JobIntentionTask extends TaskUserForm {
    constructor(modalCtrl: any, initialData: any = {}) {
        super({
            title: '求职意向',
            modalCtrl: modalCtrl,
            initialData: initialData,
            fieldList: [
                {
                    type: "Select", key: "jobType", name: "工作类型", required: true, options: [
                        { label: "全职", value: "full-time" },
                        { label: "兼职", value: "part-time" },
                        { label: "实习", value: "internship" },
                        { label: "自由职业", value: "freelance" }
                    ]
                },
                // {
                //     type: "MultiSelect", key: "industries", name: "行业意向", required: true, options: [
                //         { label: "互联网", value: "internet" },
                //         { label: "金融", value: "finance" },
                //         { label: "教育", value: "education" },
                //         { label: "医疗", value: "medical" },
                //         { label: "制造业", value: "manufacturing" }
                //     ]
                // },
                { type: "String", key: "position", name: "期望职位", required: true },
                { type: "Number", key: "expectedSalary", name: "期望薪资(元)", required: false },
                {
                    type: "Select", key: "city", name: "工作城市", required: true, options: [
                        { label: "北京", value: "beijing" },
                        { label: "上海", value: "shanghai" },
                        { label: "广州", value: "guangzhou" },
                        { label: "深圳", value: "shenzhen" },
                        { label: "其他", value: "other" }
                    ]
                }
            ]
        });
    }
}


export class UserInterestsTask extends TaskUserForm {
    constructor(modalCtrl: any, initialData: any = {}) {
        super({
            title: '兴趣喜好',
            modalCtrl: modalCtrl,
            initialData: initialData,
            fieldList: [
                // {
                //     type: "MultiSelect", key: "hobbies", name: "兴趣爱好", required: false, options: [
                //         { label: "阅读", value: "reading" },
                //         { label: "运动", value: "sports" },
                //         { label: "音乐", value: "music" },
                //         { label: "旅行", value: "travel" },
                //         { label: "美食", value: "food" },
                //         { label: "摄影", value: "photography" }
                //     ]
                // },
                // { type: "TextArea", key: "selfDescription", name: "自我描述", required: false, placeholder: "简单介绍一下你自己..." },
                // { type: "TextArea", key: "otherInterests", name: "其他兴趣", required: false, placeholder: "请补充其他兴趣..." }
            ]
        });
    }
}